%define srcname idna

Name:           python-%{srcname}
Version:        2.1
Release:        %mkrel 1
Summary:        Internationalized Domain Names in Applications (IDNA)
Group:		Development/Python
License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%package -n python3-%{srcname}
Summary:        Internationalized Domain Names in Applications (IDNA)
Group:		Development/Python

%description -n python3-%{srcname}
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%check
%{__python2} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd


%files
%doc README.rst HISTORY.rst 
%license LICENSE.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc README.rst HISTORY.rst 
%license LICENSE.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info



%changelog
* Sun Apr 10 2016 philippem <philippem> 2.1-1.mga6
+ Revision: 1000023
- update to 2.1

* Fri Feb 19 2016 umeabot <umeabot> 2.0-3.mga6
+ Revision: 970724
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 2.0-2.mga6
+ Revision: 888055
- rebuild for python 3.5

* Fri Sep 25 2015 philippem <philippem> 2.0-1.mga6
+ Revision: 883558
- imported package python-idna

